#!/usr/bin/env python
# -*- coding: utf-8 -*-
import threading
from filelock import FileLock


def processus(pid):
    verrou = FileLock(f"test_concurrence_verrou.txt.lock")
    verrou.acquire()
    print(
        "Acquisition du verrou sur la ressource par le processus de pid ", pid
    )
    f = open("test_concurrence_verrou.txt", "w")
    for i in range(1, 10001):
        f.write("pid :" + str(pid) + " : " + str(i) + "\n")
        f.flush()
    f.close()
    print(
        "Libération du verrou sur la ressource par le processus de pid ", pid
    )
    verrou.release()


p1 = threading.Thread(target=processus, args=(1,))
p2 = threading.Thread(target=processus, args=(2,))
p1.start()
p2.start()
